<?php
/**
 * Admin Panel Links System
 * Copyright (c) 2001-2009 The XMB Group
 * http://www.xmbforum.com
 * Developed by John Briggs

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 **/

define('X_SCRIPT', 'cp_adminlinks.php');

require 'header.php';
require ROOT.'include/admin.inc.php';

loadtemplates('error_nologinsession');

nav($lang['textcp']);

eval('$css = "'.template('css').'";');
eval('echo "'.template('header').'";');

if (!X_ADMIN) {
    eval('echo "'.template('error_nologinsession').'";');
    end_time();
    eval('echo "'.template('footer').'";');
    exit;
}

smcwcache();

$auditaction = $_SERVER['REQUEST_URI'];
$aapos = strpos($auditaction, "?");
if ($aapos !== false) {
    $auditaction = substr($auditaction, $aapos + 1);
}
$auditaction = $db->escape("$onlineip|#|$auditaction");
audit($xmbuser, $auditaction, 0, 0);

displayAdminPanel();

if (noSubmit('cplinksubmit')) {
    ?>
    <tr class="tablerow" bgcolor="<?php echo $THEME['altbg2']; ?>">
    <td align="center">
    <form action="cp_adminlinks.php" method="post">
    <input type="hidden" name="token" value="<?php echo nonce_create('edadminlinks'); ?>" />
    <table cellspacing="0" cellpadding="0" border="0" width="98%" align="center">
    <tr>
    <td bgcolor="<?php echo $THEME['bordercolor']; ?>">
    <table border="0" cellspacing="<?php echo $THEME['borderwidth']; ?>" cellpadding="<?php echo $THEME['tablespace']; ?>" width="100%">
    <tr class="category">
    <td colspan="6" align="center"><strong><font color="<?php echo $THEME['cattext']; ?>"><?php echo $lang['cplinkmanager']; ?></font></strong></td>
    </tr>
    <tr class="header" align="center">
    <td><?php echo $lang['textdeleteques']?></td>
    <td><?php echo $lang['cplinkdisplayorder']?></td>
    <td><?php echo $lang['cplinkname']?></td>
    <td><?php echo $lang['cplinkurl']?></td>
    <td><?php echo $lang['cplinkstatus']?></td>
    <td><?php echo $lang['cplinkgrouporder']?></td>
    </tr>
    <?php
    $cplinks = $db->query("SELECT * FROM ".X_PREFIX."cplinks ORDER BY grouporder ASC");
    $rowsFound = $db->num_rows($cplinks);
    while ($cplinksinfo = $db->fetch_array($cplinks)) {
		$on = $off = '';
        switch ($cplinksinfo['status']) {
            case 'on':
                $on = $selHTML;
                break;
            default:
                $off = $selHTML;
                break;
        }

        $group1 = $group2 = $group3 = $group4 = '';
        $group5 = $group6 = $group7 = $group8 = '';
        switch ($cplinksinfo['grouporder']) {
            case 'group2':
                $group2 = $selHTML;
                break;
            case 'group3':
                $group3 = $selHTML;
                break;
            case 'group4':
                $group4 = $selHTML;
                break;
            case 'group5':
                $group5 = $selHTML;
                break;
            case 'group6':
                $group6 = $selHTML;
                break;
            case 'group7':
                $group7 = $selHTML;
                break;
            case 'group8':
                $group8 = $selHTML;
                break;
            default:
                $group1 = $selHTML;
                break;
        }
        ?>
        <tr bgcolor="<?php echo $THEME['altbg2']; ?>" class="ctrtablerow">
        <td><input type="checkbox" name="delete<?php echo $cplinksinfo['id']?>" value="<?php echo $cplinksinfo['id']?>" /></td>
        <td><input type="text" name="displayorder<?php echo $cplinksinfo['id']?>" value="<?php echo $cplinksinfo['displayorder']?>" size="2" /></td>
        <td><input type="text" name="name<?php echo $cplinksinfo['id']?>" value="<?php echo stripslashes($cplinksinfo['name'])?>" size="35" /></td>
        <td><input type="text" name="url<?php echo $cplinksinfo['id']?>" value="<?php echo stripslashes($cplinksinfo['url'])?>" size="35" /></td>
        <td>
        <select name="status<?php echo $cplinksinfo['id']?>">
        <option value="on" <?php echo $on?>><?php echo $lang['texton']?></option>
        <option value="off" <?php echo $off?>><?php echo $lang['textoff']?></option>
        </select>
        </td>
        <td>
        <select name="grouporder<?php echo $cplinksinfo['id']?>">
        <option value="group1" <?php echo $group1?>><?php echo $lang['cplinkgroup1']?></option>
        <option value="group2" <?php echo $group2?>><?php echo $lang['cplinkgroup2']?></option>
        <option value="group3" <?php echo $group3?>><?php echo $lang['cplinkgroup3']?></option>
        <option value="group4" <?php echo $group4?>><?php echo $lang['cplinkgroup4']?></option>
        <option value="group5" <?php echo $group5?>><?php echo $lang['cplinkgroup5']?></option>
        <option value="group6" <?php echo $group6?>><?php echo $lang['cplinkgroup6']?></option>
        <option value="group7" <?php echo $group7?>><?php echo $lang['cplinkgroup7']?></option>
        <option value="group8" <?php echo $group8?>><?php echo $lang['cplinkgroup8']?></option>
        </select>
        </td>
        </tr>
        <?php
    }
    $db->free_result($cplinks);
    if ($rowsFound < 1) {
        ?>
        <tr class="ctrtablerow">
        <td bgcolor="<?php echo $THEME['altbg1']; ?>" colspan="6"><?php echo $lang['cplinknone']?></td>
        </tr>
        <?php
    }
    ?>
    <tr class="category">
    <td colspan="6" align="left"><strong><font color="<?php echo $THEME['cattext']; ?>"><?php echo $lang['cplinkcreate']; ?></font></strong></td>
    </tr>
    <tr class="header" align="center">
    <td colspan="2"><?php echo $lang['cplinkdisplayorder']?></td>
    <td><?php echo $lang['cplinkname']?></td>
    <td><?php echo $lang['cplinkurl']?></td>
    <td><?php echo $lang['cplinkstatus']?></td>
    <td><?php echo $lang['cplinkgrouporder']?></td>
    </tr>
    <tr bgcolor="<?php echo $THEME['altbg2']; ?>" class="ctrtablerow">
    <td colspan="2"><input type="text" name="displayordernew" value="" size="2" /></td>
    <td><input type="text" name="namenew" value="" size="35" /></td>
    <td><input type="text" name="urlnew" value="" size="35" /></td>
    <td>
    <select name="statusnew">
    <option value="on"><?php echo $lang['texton']?></option>
    <option value="off"><?php echo $lang['textoff']?></option>
    </select>
    </td>
    <td>
    <select name="groupordernew">
    <option value="group1"><?php echo $lang['cplinkgroup1']?></option>
    <option value="group2"><?php echo $lang['cplinkgroup2']?></option>
    <option value="group3"><?php echo $lang['cplinkgroup3']?></option>
    <option value="group4"><?php echo $lang['cplinkgroup4']?></option>
    <option value="group5"><?php echo $lang['cplinkgroup5']?></option>
    <option value="group6"><?php echo $lang['cplinkgroup6']?></option>
    <option value="group7"><?php echo $lang['cplinkgroup7']?></option>
    <option value="group8"><?php echo $lang['cplinkgroup8']?></option>
    </select>
    </td>
    </tr>
    <tr bgcolor="<?php echo $THEME['altbg2']; ?>" class="ctrtablerow">
    <td colspan="6"><input type="submit" class="submit" name="cplinksubmit" value="<?php echo $lang['textsubmitchanges']?>" /></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
    </form>
    </td>
    </tr>
    <?php
}

if (onSubmit('cplinksubmit')) {
    request_secure('edadminlinks', '', X_NONCE_FORM_EXP, FALSE);
    $cplinks = $db->query("SELECT * FROM ".X_PREFIX."cplinks");
    while($cplinksinfo = $db->fetch_array($cplinks)) {
        $name = postedVar('name'.$cplinksinfo['id']);
		$url = postedVar('url'.$cplinksinfo['id']);
		$displayorder = formInt('displayorder'.$cplinksinfo['id']);
		$grouporder = postedVar('grouporder'.$cplinksinfo['id']);
		$status = formOnOff('status'.$cplinksinfo['id']);
		$delete = formInt('delete'.$cplinksinfo['id']);

		if (isset($delete) && $delete != '') {
            $db->query("DELETE FROM ".X_PREFIX."cplinks WHERE id='$delete'");
        }
		
		$db->query("UPDATE ".X_PREFIX."cplinks SET
            name='$name',
            url='$url',
            displayorder='$displayorder',
            grouporder='$grouporder',
			status='$status'
            WHERE id='$cplinksinfo[id]'
        ");
    }
	$db->free_result($cplinks);

    if (isset($namenew) && $namenew != '') {
	    $namenew = postedVar('namenew');
		$urlnew = postedVar('urlnew');
		$displayordernew = formInt('displayordernew');
		$groupordernew = postedVar('groupordernew');
		$statusnew = formOnOff('statusnew');
        $db->query("INSERT INTO ".X_PREFIX."cplinks (name, url, displayorder, grouporder, status) VALUES ('$namenew', '$urlnew', '$displayordernew', '$groupordernew', '$statusnew')");
    }

    echo '<tr bgcolor="'.$altbg2.'" class="ctrtablerow"><td>'.$lang['cplinkupdate'].'</td></tr>';
    redirect('cp_adminlinks.php', 2, X_REDIRECT_JS);
}

echo '</table></td></tr></table>';
end_time();
eval('echo "'.template('footer').'";');
?>
